package cn.superdesk.uniorder.dubbo.facade.marketing;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirtDimDay;
import cn.superdesk.uniorder.dto.param.marketing.UnifiedStatisticsVirtDimDayParam;
import cn.superdesk.uniorder.dto.param.marketing.UnifiedStatisticsVirtDimDayQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-09-06 12:00:09
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-09-06 12:00:09
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboUnifiedStatisticsVirtDimDayService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(UnifiedStatisticsVirtDimDayParam param);

	@Deprecated
	void updateObj(UnifiedStatisticsVirtDimDayParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedStatisticsVirtDimDay findById(Long id);

	@Deprecated
	PageInfo<UnifiedStatisticsVirtDimDay> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedStatisticsVirtDimDay> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedStatisticsVirtDimDay(UnifiedStatisticsVirtDimDayParam param);

	void updateUnifiedStatisticsVirtDimDay(UnifiedStatisticsVirtDimDayParam param);

	void deleteUnifiedStatisticsVirtDimDay(Long id);

	UnifiedStatisticsVirtDimDay findUnifiedStatisticsVirtDimDayById(Long id);

	R<List<UnifiedStatisticsVirtDimDay>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<UnifiedStatisticsVirtDimDay>> pageQueryGenericParam(UnifiedStatisticsVirtDimDayQueryCriteria criteria);

	/******************************************  start ******************************************/

	List<UnifiedStatisticsVirtDimDay> queryVirtOrderStatisticalDimDay(Map<String, Object> queryMap);

	void storeVirtOrderStatisticalDimDay(UnifiedStatisticsVirtDimDay item, Integer year, Integer month, Integer dayOfMonth);
}
